Imports System.Net
Imports System.Windows
Imports System.Windows.Controls
Imports System.Windows.Documents
Imports System.Windows.Input
Imports System.Windows.Media
Imports System.Windows.Media.Animation
Imports System.Windows.Shapes
Imports Microsoft.Phone.Controls

Namespace EventPhone001
	Partial Public Class MainPage
		Inherits PhoneApplicationPage

		Public dm As DemoItem

		' Constructor
		Public Sub New()
			InitializeComponent()

			dm = New DemoItem

			dm.init()

			' Set the data context of the listbox control to the sample data
			DataContext = App.ViewModel
			AddHandler Loaded, AddressOf MainPage_Loaded
		End Sub

		' Handle selection changed on ListBox
		Private Sub MainListBox_SelectionChanged(ByVal sender As Object, ByVal e As SelectionChangedEventArgs)
			' If selected index is -1 (no selection) do nothing
			If MainListBox.SelectedIndex = -1 Then
				Exit Sub
			End If

			' Navigate to the new page
			NavigationService.Navigate(New Uri("/DetailsPage.xaml?selectedItem=" & MainListBox.SelectedIndex, UriKind.Relative))

			' Reset selected index to -1 (no selection)
			MainListBox.SelectedIndex = -1
		End Sub

		' Load data for the ViewModel Items
		Private Sub MainPage_Loaded(ByVal sender As Object, ByVal e As RoutedEventArgs)
			If Not App.ViewModel.IsDataLoaded Then
				App.ViewModel.LoadData()
			End If
		End Sub
	End Class
End Namespace
